GCLOUD_AUTH_APPLICATION-DEFAULT_PRINT-ACCESS-TOKEN(1)

NAME

gcloud auth application-default print-access-token - print an access token for the your current Application Default Credentials

SYNOPSIS

gcloud auth application-default print-access-token [GLOBAL-FLAG ...]

DESCRIPTION
Once you have generated Application Default Credentials using gcloud auth application-default login, you can use this command to generate and print an access token that can be directly used for making an API call. This can be useful for manually testing out APIs via curl.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.